[tool.poetry]
name = "elnbuildsync-messages"
version = "1.2.2"
description = "A schema package for messages sent by ELNBuildSync"

license = "GPL-3.0-or-later"

authors = [
  "Fedora Infrastructure Team <infrastructure@lists.fedoraproject.org>"
]

readme = 'README.md'  # Markdown files are supported

repository = "https://gitlab.com/redhat/centos-stream/ci-cd/distrosync/elnbuildsync-messaging"
homepage = "hhttps://gitlab.com/redhat/centos-stream/ci-cd/distrosync/elnbuildsync-messaging"

keywords = ['fedora']

include = [
    { path = "tox.ini", format = "sdist" },
    { path = "*.spec.in", format = "sdist" },
    { path = "make-spec.sh", format = "sdist" },
    { path = "tests/*", format = "sdist" },
]

[tool.poetry.plugins."fedora.messages"]
"buildsync.eln.enqueue"="elnbuildsync_messages.enqueue:EnqueueV1"


[tool.poetry.dependencies]
python = "^3.10"
fedora-messaging = ">=3.0.1"

[tool.poetry.dev-dependencies]
pytest = "^7.1.2"
pytest-cov = "^3.0.0 || ^4.0.0"
sphinx = "^3.0 || ^4.0.0 || ^7.0.0"
black = "^22.6.0 || ^23.0.0"
poetry = "^1.2.0b2"
ruff = "^0.0.272 || ^0.0.287 || ^0.0.288 || ^0.0.289 || ^0.0.290 || ^0.0.291 || ^0.0.292 || ^0.1.0"

[tool.black]
line-length = 100

[tool.ruff]
select = ["E", "F", "W", "I", "UP", "S", "B", "RUF"]
line-length = 100
target-version = "py310"
# Allow UP007 when python 3.11 is our minimum version: the construct wasn't
# optimized yet on python 3.10
ignore = ["RUF010", "UP038", "UP007", "RUF012"]

[tool.ruff.per-file-ignores]
"tests/*" = ["S101"]


[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
